Bug 140257 - New port: databases/mongodb
New port: databases/mongodb
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 21:40 UTC by ivoras
Modified: 2009-11-19 08:34 UTC (History)
0 users

See Also:


Attachments
file.shar (5.40 KB, text/plain)
2009-11-03 21:40 UTC, ivoras
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ivoras freebsd_committer 2009-11-03 21:40:01 UTC
Mongo (from "humongous") is a high-performance, open source,
schema-free, document-oriented database. A common name in the
"NOSQL" community.

WWW: http://www.mongodb.org/

The distribution mechanism of github is somewhat strange - it looks like there is a git infrastructure that needs to be "tickled" to autogenerate a tgz of the source, thus also an alternative site on freefall.

This port is for the development version of mongodb, which is the only one that can currently be used on FreeBSD without additional patches.

I will post an update when a new release gets available which will incorporate fixes for FreeBSD.

Fix: Also needs patches to UIDs and GIDs:

--- /usr/ports/UIDs	2009-11-01 17:02:27.000000000 +0100
+++ UIDs	2009-11-03 22:22:20.000000000 +0100
@@ -159,3 +159,4 @@
 couchdb:*:919:919:daemon:0:0:CouchDB Account:/var/empty:/usr/sbin/nologin
 vboxusers:*:920:920::0:0:Virtualbox user:/nonexistent:/usr/sbin/nologin
 transmission:*:921:921::0:0:Transmission Daemon User:/usr/local/etc/transmission/home:/usr/sbin/nologin
+mongodb:*:922:922:daemon:0:0:MongoDB Account:/var/empty:/usr/sbin/nologin

--- /usr/ports/GIDs	2009-11-01 17:02:27.000000000 +0100
+++ GIDs	2009-11-03 22:22:31.000000000 +0100
@@ -149,3 +149,4 @@
 couchdb:*:919:
 vboxusers:*:920:
 transmission:*:921:
+mongodb:*:922:



Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-11-03 21:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ivoras

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 ivoras freebsd_committer 2009-11-04 12:11:05 UTC
Responsible Changed
From-To: ivoras->freebsd-ports-bugs

I don't have a ports commit bit. 
I of course approve of my own request and would like to ask someone to 
commit the new port.
Comment 3 Wen Heping freebsd_committer 2009-11-04 13:25:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 4 wenheping 2009-11-12 03:42:27 UTC
Hi,

   There is a plist error on the tinderbox, would you test and fix it ?
   I paste the build log below.
   And I think it is better to create a pkg-plist to replace PLIST_FILE
in Makefile here.

Regards,
wen





building mongodb-1.2.0.d20090223 in directory /usr/local/tinderbox/9.0-FreeBSD
build started at Fri Nov  6 01:53:38 UTC 2009

port directory: /usr/ports/databases/mongodb
building for:  9.0-CURRENT i386
maintained by: ivoras@FreeBSD.org
ident warning: no id keywords in /usr/ports/databases/mongodb/Makefile
Makefile ident:
prefixes: LOCALBASE=usr/local X11BASE=usr/local PREFIX=/usr/local

Begin Configuration:
---Begin Environment---
ARCH=i386
PACKAGE_BUILDING=1
USER=root
CCACHE_DIR=
BRANCH=CURRENT
CCACHE_NOLINK=1
HOST_WORKDIR=
X11BASE=/usr/local
BATCH=1
OLDPWD=/
HOME=/root

SRCBASE=/usr/local/tinderbox/jails/9.0/src
PKGZIPCMD=bzip2
HAVE_MOTIF=1
FTP_TIMEOUT=900
HTTP_TIMEOUT=900
defaultUpdateHost=cvsup.FreeBSDChina.org
pb=/usr/local/tinderbox

DISTFILE_CACHE=/usr/ports/distfiles
OSREL=9.0
defaultUpdateType=CSUP
TINDERD_LOGFILE=/dev/null
PORTOBJFORMAT=elf
WRKDIRPREFIX=/work
DISTDIR=/tmp/distfiles
DISTCACHE=/distcache
CCACHE_LOGFILE=
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/local/bin

PACKAGES=/tmp/packages
TIMEOUT=7200
PKGSUFFIX=.tbz
OSVERSION=900002
OPTIONS_ENABLED=0
__DSVERSION__=3.2
TINDERD_SLEEPTIME=120
UNAME_n=tinderbox.host
__MKLVL__=1
CCACHE_JAIL=0
LOCALBASE=/usr/local

CCACHE_MAX_SIZE=1G
DISTFILE_URI=
X_WINDOW_SYSTEM=xorg
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
OPTIONS_DIR=
UNAME_r=9.0-CURRENT
USA_RESIDENT=YES
UNAME_s=FreeBSD
PARALLEL_PACKAGE_BUILD=1

PWD=/usr/ports/databases/mongodb
UNAME_v=FreeBSD 9.0-CURRENT #0: Fri Nov  6 09:06:20 CST 2009
root@tinderbox.host:/usr/src/sys/magic/kernel/path
FTP_PASSIVE_MODE=yes
CCACHE_ENABLED=0
INDEXFILE=INDEX-9
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

End Configuration.
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=python26-2.6.2_3.tbz scons-1.2.0_20090223.tbz
icu-3.8.1_2.tbz boost-libs-1.39.0.tbz nspr-4.8_1.tbz
spidermonkey-1.7.0.tbz pcre-8.00.tbz libexecinfo-1.1_3.tbz

RUN_DEPENDS=icu-3.8.1_2.tbz boost-libs-1.39.0.tbz nspr-4.8_1.tbz
spidermonkey-1.7.0.tbz pcre-8.00.tbz libexecinfo-1.1_3.tbz
add_pkg
================================================================
====================<phase 1: make checksum>====================

=> mongodb-mongo-6e4852e.tar.gz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch from file:///distcache//.
mongodb-mongo-6e4852e.tar.gz                          3756 kB   28 MBps
=> MD5 Checksum OK for mongodb-mongo-6e4852e.tar.gz.

=> SHA256 Checksum OK for mongodb-mongo-6e4852e.tar.gz.
================================================================
====================<phase 2: make extract>====================
add_pkg
===>  Extracting for mongodb-1.2.0.d20090223

=> MD5 Checksum OK for mongodb-mongo-6e4852e.tar.gz.
=> SHA256 Checksum OK for mongodb-mongo-6e4852e.tar.gz.
================================================================
====================<phase 3: make patch>====================

add_pkg
===>  Patching for mongodb-1.2.0.d20090223
================================================================
====================<phase 4: make build>====================
add_pkg python26-2.6.2_3.tbz scons-1.2.0_20090223.tbz icu-3.8.1_2.tbz
boost-libs-1.39.0.tbz nspr-4.8_1.tbz spidermonkey-1.7.0.tbz
pcre-8.00.tbz libexecinfo-1.1_3.tbz

adding dependencies
pkg_add python26-2.6.2_3.tbz

====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb

gdbm            databases/py-gdbm
sqlite3		databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====

pkg_add scons-1.2.0_20090223.tbz
pkg_add icu-3.8.1_2.tbz
pkg_add boost-libs-1.39.0.tbz

You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.


pkg_add nspr-4.8_1.tbz
pkg_add spidermonkey-1.7.0.tbz
pkg_add pcre-8.00.tbz

pkg_add libexecinfo-1.1_3.tbz
===>   mongodb-1.2.0.d20090223 depends on file: /usr/local/bin/scons - found
===>   mongodb-1.2.0.d20090223 depends on shared library: boost_system - found
===>   mongodb-1.2.0.d20090223 depends on shared library: js - found

===>   mongodb-1.2.0.d20090223 depends on shared library: pcre - found
===>   mongodb-1.2.0.d20090223 depends on shared library: nspr4 - found
===>   mongodb-1.2.0.d20090223 depends on shared library: execinfo.1 - found

===>  Configuring for mongodb-1.2.0.d20090223
===>  Building for mongodb-1.2.0.d20090223
scons: Reading SConscript files ...
scons version: 1.2.0.d20090223
python version: 2 6 2 'final' 0
Checking whether the C++ compiler worksyes

error: no result
Checking for C library stdc++... yes
Checking for C++ header file pcrecpp.h... yes
Checking for C++ header file boost/filesystem/operations.hpp... yes
Checking for C++ header file boost/asio.hpp... yes

Checking for C library boost_thread-mt... no
Checking for C library boost_thread... yes
Checking for C library boost_filesystem-mt... no
Checking for C library boost_filesystem... yes
Checking for C library boost_program_options-mt... no

Checking for C library boost_program_options... yes
Checking for C library boost_system-mt... no
Checking for C library boost_system... yes
Checking for C++ header file execinfo.h... yes
Checking for C library pcrecpp... yes

Checking for C library pcre... yes
Checking for C library pcap... yes
Checking for C library mozjs... no
Checking for C library js... yes
Checking for C header file js/jsapi.h... no
Checking for C header file jsapi.h... yes

Checking for C library execinfo... yes
Checking whether the C++ compiler worksyes
error: no result
Checking for C++ header file boost/filesystem/operations.hpp... yes
Checking for C++ header file boost/asio.hpp... yes

Checking for C library boost_thread-mt... no
Checking for C library boost_thread... yes
Checking for C library boost_filesystem-mt... no
Checking for C library boost_filesystem... yes
Checking for C library boost_program_options-mt... no

Checking for C library boost_program_options... yes
Checking for C library boost_system-mt... no
Checking for C library boost_system... yes
Checking for C++ header file execinfo.h... yes
Checking for C library pcap... yes

Checking for C library mozjs... no
Checking for C library js... yes
Checking for C header file js/jsapi.h... no
Checking for C header file jsapi.h... yes
Checking for C library readline... yes
Checking for C library ncurses... yes

Checking for C library tinfo... yes
Checking for C library execinfo... yes
scons: done reading SConscript files.
scons: Building targets ...
g++ -o stdafx.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing -ggdb
-pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch -O3
-D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include stdafx.cpp

g++ -o buildinfo.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include buildinfo.cpp

g++ -o db/jsobj.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/jsobj.cpp

g++ -o db/json.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/json.cpp

g++ -o db/commands.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/commands.cpp

g++ -o db/lasterror.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/lasterror.cpp

g++ -o db/nonce.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/nonce.cpp

g++ -o db/queryutil.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/queryutil.cpp

concatjs(["shell/mongo.jsall"], ["shell/collection.js", "shell/db.js",
"shell/mongo.js", "shell/mr.js", "shell/query.js", "shell/servers.js",
"shell/utils.js"])

jsToH(["shell/mongo.cpp"], ["shell/mongo.jsall"])
g++ -o shell/mongo.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include shell/mongo.cpp

g++ -o util/background.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/background.cpp

g++ -o util/mmap.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include util/mmap.cpp

g++ -o util/sock.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include util/sock.cpp

g++ -o util/util.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include util/util.cpp

g++ -o util/message.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include util/message.cpp

g++ -o util/assert_util.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/assert_util.cpp

g++ -o util/httpclient.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/httpclient.cpp

g++ -o util/md5main.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include util/md5main.cpp

g++ -o util/base64.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include util/base64.cpp

gcc -o util/md5.o -c -fPIC -fno-strict-aliasing -ggdb -pthread -Wall
-Wsign-compare -Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS
-D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include util/md5.c
g++ -o client/connpool.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
client/connpool.cpp

g++ -o client/dbclient.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
client/dbclient.cpp

g++ -o client/model.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include client/model.cpp

g++ -o client/parallel.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
client/parallel.cpp

g++ -o scripting/engine.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
scripting/engine.cpp

g++ -o util/mmap_posix.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/mmap_posix.cpp

g++ -o util/processinfo_none.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/processinfo_none.cpp

g++ -o scripting/engine_spidermonkey.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
scripting/engine_spidermonkey.cpp

g++ -o db/query.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/query.cpp

g++ -o db/update.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/update.cpp

g++ -o db/introspect.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
db/introspect.cpp

g++ -o db/btree.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/btree.cpp

g++ -o db/clientcursor.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
db/clientcursor.cpp

g++ -o db/tests.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/tests.cpp

g++ -o db/repl.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/repl.cpp

g++ -o db/btreecursor.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
db/btreecursor.cpp

g++ -o db/cloner.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/cloner.cpp

g++ -o db/namespace.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/namespace.cpp

g++ -o db/matcher.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/matcher.cpp

g++ -o db/dbcommands.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
db/dbcommands.cpp

g++ -o db/dbeval.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/dbeval.cpp

g++ -o db/dbwebserver.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
db/dbwebserver.cpp

g++ -o db/dbinfo.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/dbinfo.cpp

g++ -o db/dbhelpers.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/dbhelpers.cpp

g++ -o db/instance.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/instance.cpp

g++ -o db/pdfile.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/pdfile.cpp

g++ -o db/cursor.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/cursor.cpp

g++ -o db/security_commands.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
db/security_commands.cpp

g++ -o db/client.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/client.cpp

g++ -o db/security.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/security.cpp

g++ -o util/miniwebserver.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/miniwebserver.cpp

g++ -o db/storage.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/storage.cpp

g++ -o db/reccache.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/reccache.cpp

g++ -o db/queryoptimizer.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
db/queryoptimizer.cpp

g++ -o db/extsort.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/extsort.cpp

g++ -o db/mr.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing -ggdb
-pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch -O3
-D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/mr.cpp

g++ -o s/d_util.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/d_util.cpp

g++ -o s/d_logic.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/d_logic.cpp

g++ -o client/gridfs.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
client/gridfs.cpp

client/gridfs.cpp: In member function 'mongo::BSONObj
mongo::GridFS::storeFile(const char*, size_t, const std::string&,
const std::string&)':
client/gridfs.cpp:73: warning: comparison between signed and unsigned
integer expressions

g++ -o tools/tool.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include tools/tool.cpp

g++ -o tools/dump.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include tools/dump.cpp

g++ -o mongodump -fPIC -pthread -rdynamic stdafx.o buildinfo.o
db/jsobj.o db/json.o db/commands.o db/lasterror.o db/nonce.o
db/queryutil.o shell/mongo.o util/background.o util/mmap.o util/sock.o
util/util.o util/message.o util/assert_util.o util/httpclient.o
util/md5main.o util/base64.o util/md5.o client/connpool.o
client/dbclient.o client/model.o client/parallel.o scripting/engine.o
util/mmap_posix.o util/processinfo_none.o
scripting/engine_spidermonkey.o db/query.o db/update.o db/introspect.o
db/btree.o db/clientcursor.o db/tests.o db/repl.o db/btreecursor.o
db/cloner.o db/namespace.o db/matcher.o db/dbcommands.o db/dbeval.o
db/dbwebserver.o db/dbinfo.o db/dbhelpers.o db/instance.o db/pdfile.o
db/cursor.o db/security_commands.o db/client.o db/security.o
util/miniwebserver.o db/storage.o db/reccache.o db/queryoptimizer.o
db/extsort.o db/mr.o s/d_util.o s/d_logic.o client/gridfs.o
tools/tool.o tools/dump.o -L/usr/local/lib -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -lpcrecpp
-lpcre -ljs -lexecinfo -lexecinfo -lexecinfo

g++ -o tools/restore.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
tools/restore.cpp

g++ -o mongorestore -fPIC -pthread -rdynamic stdafx.o buildinfo.o
db/jsobj.o db/json.o db/commands.o db/lasterror.o db/nonce.o
db/queryutil.o shell/mongo.o util/background.o util/mmap.o util/sock.o
util/util.o util/message.o util/assert_util.o util/httpclient.o
util/md5main.o util/base64.o util/md5.o client/connpool.o
client/dbclient.o client/model.o client/parallel.o scripting/engine.o
util/mmap_posix.o util/processinfo_none.o
scripting/engine_spidermonkey.o db/query.o db/update.o db/introspect.o
db/btree.o db/clientcursor.o db/tests.o db/repl.o db/btreecursor.o
db/cloner.o db/namespace.o db/matcher.o db/dbcommands.o db/dbeval.o
db/dbwebserver.o db/dbinfo.o db/dbhelpers.o db/instance.o db/pdfile.o
db/cursor.o db/security_commands.o db/client.o db/security.o
util/miniwebserver.o db/storage.o db/reccache.o db/queryoptimizer.o
db/extsort.o db/mr.o s/d_util.o s/d_logic.o client/gridfs.o
tools/tool.o tools/restore.o -L/usr/local/lib -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -lpcrecpp
-lpcre -ljs -lexecinfo -lexecinfo -lexecinfo

g++ -o tools/export.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include tools/export.cpp

g++ -o mongoexport -fPIC -pthread -rdynamic stdafx.o buildinfo.o
db/jsobj.o db/json.o db/commands.o db/lasterror.o db/nonce.o
db/queryutil.o shell/mongo.o util/background.o util/mmap.o util/sock.o
util/util.o util/message.o util/assert_util.o util/httpclient.o
util/md5main.o util/base64.o util/md5.o client/connpool.o
client/dbclient.o client/model.o client/parallel.o scripting/engine.o
util/mmap_posix.o util/processinfo_none.o
scripting/engine_spidermonkey.o db/query.o db/update.o db/introspect.o
db/btree.o db/clientcursor.o db/tests.o db/repl.o db/btreecursor.o
db/cloner.o db/namespace.o db/matcher.o db/dbcommands.o db/dbeval.o
db/dbwebserver.o db/dbinfo.o db/dbhelpers.o db/instance.o db/pdfile.o
db/cursor.o db/security_commands.o db/client.o db/security.o
util/miniwebserver.o db/storage.o db/reccache.o db/queryoptimizer.o
db/extsort.o db/mr.o s/d_util.o s/d_logic.o client/gridfs.o
tools/tool.o tools/export.o -L/usr/local/lib -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -lpcrecpp
-lpcre -ljs -lexecinfo -lexecinfo -lexecinfo

g++ -o tools/import.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include tools/import.cpp

g++ -o mongoimport -fPIC -pthread -rdynamic stdafx.o buildinfo.o
db/jsobj.o db/json.o db/commands.o db/lasterror.o db/nonce.o
db/queryutil.o shell/mongo.o util/background.o util/mmap.o util/sock.o
util/util.o util/message.o util/assert_util.o util/httpclient.o
util/md5main.o util/base64.o util/md5.o client/connpool.o
client/dbclient.o client/model.o client/parallel.o scripting/engine.o
util/mmap_posix.o util/processinfo_none.o
scripting/engine_spidermonkey.o db/query.o db/update.o db/introspect.o
db/btree.o db/clientcursor.o db/tests.o db/repl.o db/btreecursor.o
db/cloner.o db/namespace.o db/matcher.o db/dbcommands.o db/dbeval.o
db/dbwebserver.o db/dbinfo.o db/dbhelpers.o db/instance.o db/pdfile.o
db/cursor.o db/security_commands.o db/client.o db/security.o
util/miniwebserver.o db/storage.o db/reccache.o db/queryoptimizer.o
db/extsort.o db/mr.o s/d_util.o s/d_logic.o client/gridfs.o
tools/tool.o tools/import.o -L/usr/local/lib -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -lpcrecpp
-lpcre -ljs -lexecinfo -lexecinfo -lexecinfo

g++ -o tools/files.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include tools/files.cpp

g++ -o mongofiles -fPIC -pthread -rdynamic stdafx.o buildinfo.o
db/jsobj.o db/json.o db/commands.o db/lasterror.o db/nonce.o
db/queryutil.o shell/mongo.o util/background.o util/mmap.o util/sock.o
util/util.o util/message.o util/assert_util.o util/httpclient.o
util/md5main.o util/base64.o util/md5.o client/connpool.o
client/dbclient.o client/model.o client/parallel.o scripting/engine.o
util/mmap_posix.o util/processinfo_none.o
scripting/engine_spidermonkey.o db/query.o db/update.o db/introspect.o
db/btree.o db/clientcursor.o db/tests.o db/repl.o db/btreecursor.o
db/cloner.o db/namespace.o db/matcher.o db/dbcommands.o db/dbeval.o
db/dbwebserver.o db/dbinfo.o db/dbhelpers.o db/instance.o db/pdfile.o
db/cursor.o db/security_commands.o db/client.o db/security.o
util/miniwebserver.o db/storage.o db/reccache.o db/queryoptimizer.o
db/extsort.o db/mr.o s/d_util.o s/d_logic.o client/gridfs.o
tools/tool.o tools/files.o -L/usr/local/lib -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -lpcrecpp
-lpcre -ljs -lexecinfo -lexecinfo -lexecinfo

g++ -o tools/sniffer.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
-I/work/a/ports/databases/mongodb/work tools/sniffer.cpp

g++ -o client/clientOnly.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
client/clientOnly.cpp

ar rc libmongoclient.a stdafx.o buildinfo.o db/jsobj.o db/json.o
db/commands.o db/lasterror.o db/nonce.o db/queryutil.o shell/mongo.o
util/background.o util/mmap.o util/sock.o util/util.o util/message.o
util/assert_util.o util/httpclient.o util/md5main.o util/base64.o
util/md5.o client/connpool.o client/dbclient.o client/model.o
client/parallel.o scripting/engine.o util/mmap_posix.o
util/processinfo_none.o scripting/engine_spidermonkey.o
client/clientOnly.o client/gridfs.o s/d_util.o

ranlib libmongoclient.a
g++ -o mongosniff -fPIC -pthread -rdynamic tools/sniffer.o -L.
-L/usr/local/lib -lmongoclient -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -ljs
-lexecinfo -lexecinfo -lpcap

g++ -o db/db.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing -ggdb
-pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch -O3
-D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/db.cpp

g++ -o db/mms.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing -ggdb
-pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch -O3
-D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include db/mms.cpp

g++ -o mongod -fPIC -pthread -rdynamic stdafx.o buildinfo.o db/jsobj.o
db/json.o db/commands.o db/lasterror.o db/nonce.o db/queryutil.o
shell/mongo.o util/background.o util/mmap.o util/sock.o util/util.o
util/message.o util/assert_util.o util/httpclient.o util/md5main.o
util/base64.o util/md5.o client/connpool.o client/dbclient.o
client/model.o client/parallel.o scripting/engine.o util/mmap_posix.o
util/processinfo_none.o scripting/engine_spidermonkey.o db/query.o
db/update.o db/introspect.o db/btree.o db/clientcursor.o db/tests.o
db/repl.o db/btreecursor.o db/cloner.o db/namespace.o db/matcher.o
db/dbcommands.o db/dbeval.o db/dbwebserver.o db/dbinfo.o
db/dbhelpers.o db/instance.o db/pdfile.o db/cursor.o
db/security_commands.o db/client.o db/security.o util/miniwebserver.o
db/storage.o db/reccache.o db/queryoptimizer.o db/extsort.o db/mr.o
s/d_util.o s/d_logic.o db/db.o db/mms.o -L/usr/local/lib -lstdc++
-lboost_thread -lboost_filesystem -lboost_program_options
-lboost_system -lpcrecpp -lpcre -ljs -lexecinfo -lexecinfo -lexecinfo

g++ -o util/message_server_port.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/message_server_port.cpp

g++ -o util/message_server_asio.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
util/message_server_asio.cpp

g++ -o s/strategy.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/strategy.cpp

g++ -o s/strategy_shard.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
s/strategy_shard.cpp

g++ -o s/strategy_single.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
s/strategy_single.cpp

g++ -o s/commands_admin.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
s/commands_admin.cpp

g++ -o s/commands_public.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I. -I/usr/local/include
s/commands_public.cpp

g++ -o s/request.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/request.cpp

g++ -o s/cursors.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/cursors.cpp

g++ -o s/server.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/server.cpp

g++ -o s/chunk.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/chunk.cpp

g++ -o s/shardkey.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/shardkey.cpp

g++ -o s/config.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -I.
-I/usr/local/include s/config.cpp

g++ -o mongos -fPIC -pthread -rdynamic stdafx.o buildinfo.o db/jsobj.o
db/json.o db/commands.o db/lasterror.o db/nonce.o db/queryutil.o
shell/mongo.o util/background.o util/mmap.o util/sock.o util/util.o
util/message.o util/assert_util.o util/httpclient.o util/md5main.o
util/base64.o util/md5.o client/connpool.o client/dbclient.o
client/model.o client/parallel.o scripting/engine.o util/mmap_posix.o
util/processinfo_none.o scripting/engine_spidermonkey.o
util/message_server_port.o util/message_server_asio.o s/strategy.o
s/strategy_shard.o s/strategy_single.o s/commands_admin.o
s/commands_public.o s/request.o s/cursors.o s/server.o s/chunk.o
s/shardkey.o s/config.o -L/usr/local/lib -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -lpcrecpp
-lpcre -ljs -lexecinfo -lexecinfo -lexecinfo

g++ -o shell/dbshell.o -c -Wnon-virtual-dtor -fPIC
-fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare
-Wno-unknown-pragmas -Winvalid-pch -O3 -D_SCONS -D__freebsd__
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS
-DUSE_READLINE -I. -I/usr/local/include shell/dbshell.cpp

g++ -o shell/utils.o -c -Wnon-virtual-dtor -fPIC -fno-strict-aliasing
-ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch
-O3 -D_SCONS -D__freebsd__ -DUSE_ASIO_OFF -DXP_UNIX -DOLDJS
-DUSE_ASIO_OFF -DXP_UNIX -DOLDJS -DUSE_READLINE -I.
-I/usr/local/include shell/utils.cpp

g++ -o mongo -fPIC -pthread -rdynamic shell/dbshell.o shell/utils.o
-L. -L/usr/local/lib -lmongoclient -lstdc++ -lboost_thread
-lboost_filesystem -lboost_program_options -lboost_system -ljs
-lexecinfo -lexecinfo -lboost_thread -lboost_filesystem
-lboost_program_options -lboost_system -ljs -lreadline -lncurses
-ltinfo -lexecinfo

scons: done building targets.
================================================================
====================<phase 5: make test>====================
make: don't know how to make regression-test(continuing)

1 error
================================================================
====================<phase 6: make install>====================
add_pkg icu-3.8.1_2.tbz boost-libs-1.39.0.tbz nspr-4.8_1.tbz
spidermonkey-1.7.0.tbz pcre-8.00.tbz libexecinfo-1.1_3.tbz

adding dependencies
pkg_add icu-3.8.1_2.tbz
skipping icu-3.8.1_2, already added
pkg_add boost-libs-1.39.0.tbz
skipping boost-libs-1.39.0, already added
pkg_add nspr-4.8_1.tbz
skipping nspr-4.8_1, already added

pkg_add spidermonkey-1.7.0.tbz
skipping spidermonkey-1.7.0, already added
pkg_add pcre-8.00.tbz
skipping pcre-8.00, already added
pkg_add libexecinfo-1.1_3.tbz
skipping libexecinfo-1.1_3, already added
===>  Installing for mongodb-1.2.0.d20090223

===>   mongodb-1.2.0.d20090223 depends on shared library: boost_system - found
===>   mongodb-1.2.0.d20090223 depends on shared library: js - found
===>   mongodb-1.2.0.d20090223 depends on shared library: pcre - found

===>   mongodb-1.2.0.d20090223 depends on shared library: nspr4 - found
===>   mongodb-1.2.0.d20090223 depends on shared library: execinfo.1 - found
===>   Generating temporary packing list
===>  Checking if databases/mongodb already installed

install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongo
/usr/local/bin
install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongod
/usr/local/bin

install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongodump
/usr/local/bin
install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongoexport
/usr/local/bin

install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongofiles
/usr/local/bin
install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongoimport
/usr/local/bin

install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongorestore
/usr/local/bin
install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongos
/usr/local/bin

install  -s -o root -g wheel -m 555
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/mongosniff
/usr/local/bin
install  -o root -g wheel -m 444
/work/a/ports/databases/mongodb/work/mongodb-mongo-6e4852e/libmongoclient.a
/usr/local/lib

PKG_PREFIX=/usr/local /bin/sh /a/ports/databases/mongodb/pkg-install
mongodb-1.2.0.d20090223 PRE-INSTALL
Added group "mongodb".
Added user "mongodb".
Creating "/var/db/mongodb".
===> Installing rc.d startup script(s)

===>   Registering installation for mongodb-1.2.0.d20090223
===> SECURITY REPORT:
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.

/usr/local/bin/mongosniff
/usr/local/bin/mongos
/usr/local/bin/mongoimport
/usr/local/bin/mongo
/usr/local/bin/mongorestore
/usr/local/bin/mongodump
/usr/local/bin/mongoexport
/usr/local/bin/mongod

/usr/local/bin/mongofiles

      This port has installed the following startup scripts which may cause
      these network services to be started at boot time.
/usr/local/etc/rc.d/mongod

      If there are vulnerabilities in these programs there may be a security

      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.


      For more information, and contact details about the security
      status of this software, see the following webpage:
http://www.mongodb.org/
================================================================

====================<phase 7: make package>====================
===>  Building package for mongodb-1.2.0.d20090223
Creating package /tmp/packages/All/mongodb-1.2.0.d20090223.tbz
Registering depends: boost-libs-1.39.0 icu-3.8.1_2 libexecinfo-1.1_3
spidermonkey-1.7.0 nspr-4.8_1 pcre-8.00.

Creating bzip'd tar ball in '/tmp/packages/All/mongodb-1.2.0.d20090223.tbz'
Deleting mongodb-1.2.0.d20090223
To delete mongodb user permanently, use 'pw userdel mongodb'
================================================================

=== Checking filesystem state
list of extra files and directories in / (not present before this port
was installed but present after it was deinstalled)
24760335        0 -rw-r--r--    1 root             wheel
    0 Nov  6 02:05 etc/mongodb.conf

25064214    50080 -r--r--r--    1 root             wheel
25613552 Nov  6 02:05 usr/local/lib/libmongoclient.a
Deleting spidermonkey-1.7.0
Deleting scons-1.2.0_20090223
Deleting pcre-8.00
Deleting libexecinfo-1.1_3

Deleting boost-libs-1.39.0
pkg_delete: file
'/usr/local/include/boost/interprocess/containers/detail' doesn't
exist
pkg_delete: unable to completely remove directory
'/usr/local/include/boost/interprocess/containers/detail'

pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
Deleting icu-3.8.1_2
Deleting nspr-4.8_1
Deleting python26-2.6.2_3

=== Checking filesystem state after all packages deleted

================================================================
list of extra files and directories in / (not present on clean system
but present after everything was deinstalled)
24760335        0 -rw-r--r--    1 root             wheel
    0 Nov  6 02:05 etc/mongodb.conf

25064214    50080 -r--r--r--    1 root             wheel
25613552 Nov  6 02:05 usr/local/lib/libmongoclient.a
cmp: EOF on /etc/group-save
=== /etc/group was modified:
--- /etc/group-save	2009-11-06 01:53:38.000000000 +0000

+++ /etc/group	2009-11-06 02:05:30.000000000 +0000
@@ -29,3 +29,4 @@
 www:*:80:
 nogroup:*:65533:
 nobody:*:65534:
+mongodb:*:922:
cmp: EOF on /etc/master.passwd-save
=== /etc/master.passwd was modified:

--- /etc/master.passwd-save	2009-11-06 01:53:38.000000000 +0000
+++ /etc/master.passwd	2009-11-06 02:05:30.000000000 +0000
@@ -21,3 +21,4 @@
 pop:*:68:6::0:0:Post Office Owner:/nonexistent:/usr/sbin/nologin
 www:*:80:80::0:0:World Wide Web Owner:/nonexistent:/usr/sbin/nologin

 nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin
+mongodb:*:922:922::0:0:mongodb pseudo-user:/var/db/mongodb:/bin/sh
================================================================
build of /usr/ports/databases/mongodb ended at Fri Nov  6 02:06:23 UTC 2009
Comment 5 dfilter freebsd_committer 2009-11-19 06:28:20 UTC
wen         2009-11-19 06:28:11 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Log:
  - Prepare for add new port databases/mongodb
  
  PR:             ports/140257
  Submitted by:   Ivan Voras <ivoras@FreeBSD.org>
  
  Revision  Changes    Path
  1.84      +2 -1      ports/GIDs
  1.98      +2 -1      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2009-11-19 07:09:15 UTC
wen         2009-11-19 07:09:01 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/mongodb-devel Makefile distinfo pkg-deinstall 
                            pkg-descr pkg-install pkg-plist 
    databases/mongodb-devel/files mongod.in 
  Log:
  Mongo (from "humongous") is a high-performance, open source,
  schema-free, document-oriented database. A common name in the
  "NOSQL" community.
  
  WWW: http://www.mongodb.org/
  
  PR:             ports/140257 [1]
                  ports/140144 [2]
                  ports/140489 [2]
  Submitted by:   Ivan Voras <ivoras@FreeBSD.org> [1]
                  Mirko Zinn <mail@derzinn.de> [2]
  
  Revision  Changes    Path
  1.812     +1 -0      ports/databases/Makefile
  1.1       +62 -0     ports/databases/mongodb-devel/Makefile (new)
  1.1       +3 -0      ports/databases/mongodb-devel/distinfo (new)
  1.1       +39 -0     ports/databases/mongodb-devel/files/mongod.in (new)
  1.1       +15 -0     ports/databases/mongodb-devel/pkg-deinstall (new)
  1.1       +5 -0      ports/databases/mongodb-devel/pkg-descr (new)
  1.1       +43 -0     ports/databases/mongodb-devel/pkg-install (new)
  1.1       +12 -0     ports/databases/mongodb-devel/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2009-11-19 08:34:58 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!